"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const MediaTypeCategory_js_1 = require("../types/MediaTypeCategory.js");
const NodeSupportedEncoding_js_1 = require("../types/NodeSupportedEncoding.js");
/**
 * A content type handler that can provide JSON encoded bodies.
 *
 * Converts whatever payload is provided into a string via JSON.stringify.
 */
const JSONContentTypeHandler = {
    mediaType: `${MediaTypeCategory_js_1.MediaTypeCategory.Application}/json`,
    charset: NodeSupportedEncoding_js_1.NodeSupportedEncoding.UTF8,
    get header() {
        return `${this.mediaType}; charset=${this.charset}`;
    },
    getContentForRequestFromPayload(payload) {
        return JSON.stringify(payload);
    },
};
exports.default = JSONContentTypeHandler;
//# sourceMappingURL=JSONContentTypeHandler.js.map