"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isTypedRequestOptionsWithPayloadWithAdditionalAndAccept = exports.isTypedRequestOptionsWithPayload = void 0;
/**
 * A type predicate for narrowing type possibilities based on whether or not a payload was provided.
 *
 * The contentTypeHandler property is only relevant if there is a payload.
 *
 * @param requestOptions options to check if a payload is provided
 * @returns
 */
function isTypedRequestOptionsWithPayload(requestOptions) {
    return !!requestOptions
        .payload;
}
exports.isTypedRequestOptionsWithPayload = isTypedRequestOptionsWithPayload;
/**
 * A type predicate for narrowing type possibilities based on whether or not a payload was provided.
 *
 * The contentTypeHandler property is only relevant if there is a payload.
 *
 * @param requestOptions options to check if a payload is provided
 * @returns
 */
function isTypedRequestOptionsWithPayloadWithAdditionalAndAccept(requestOptions) {
    return !!(requestOptions.payload &&
        requestOptions.contentTypeHandler &&
        requestOptions.acceptHeader &&
        requestOptions.additionalHeaders);
}
exports.isTypedRequestOptionsWithPayloadWithAdditionalAndAccept = isTypedRequestOptionsWithPayloadWithAdditionalAndAccept;
//# sourceMappingURL=TypedRequestOptions.js.map