"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const chai = __importStar(require("chai"));
const index_js_1 = require("../contentTypeHandlers/index.js");
const TypedRequestOptions_js_1 = require("./TypedRequestOptions.js");
const expect = chai.expect;
describe("isTypedRequestOptionsWithPayload type predicate", function () {
    describe("Has Payload", function () {
        const options = {
            url: new URL("http://localhost:80"),
            payload: { a: "apple" },
        };
        it("should be true", function () {
            expect((0, TypedRequestOptions_js_1.isTypedRequestOptionsWithPayload)(options)).to.be.true;
        });
    });
    describe("Has Payload And ContentTypeHandler", function () {
        const options = {
            url: new URL("http://localhost:80"),
            payload: { a: "apple" },
            contentTypeHandler: index_js_1.JSONContentTypeHandler,
        };
        it("should be true", function () {
            expect((0, TypedRequestOptions_js_1.isTypedRequestOptionsWithPayload)(options)).to.be.true;
        });
    });
    describe("Has Only ContentTypeHandler", function () {
        const options = {
            url: new URL("http://localhost:80"),
            contentTypeHandler: index_js_1.JSONContentTypeHandler,
        };
        it("should be false", function () {
            expect((0, TypedRequestOptions_js_1.isTypedRequestOptionsWithPayload)(options)).to.be.false;
        });
    });
    describe("Has No Payload Or ContentTypeHandler", function () {
        const options = {
            url: new URL("http://localhost:80"),
        };
        it("should be false", function () {
            expect((0, TypedRequestOptions_js_1.isTypedRequestOptionsWithPayload)(options)).to.be.false;
        });
    });
});
describe("isTypedRequestOptionsWithPayloadWithAdditionalAndAccept type predicate", function () {
    describe("Has Payload, Content Type Handler, Accept Header, And Additional Headers", function () {
        const options = {
            url: new URL("http://localhost:80"),
            payload: { a: "apple" },
            contentTypeHandler: index_js_1.JSONContentTypeHandler,
            acceptHeader: "application/json",
            additionalHeaders: {},
        };
        it("should be true", function () {
            expect((0, TypedRequestOptions_js_1.isTypedRequestOptionsWithPayloadWithAdditionalAndAccept)(options))
                .to.be.true;
        });
    });
    describe("Has Payload, Content Type Handler, And Accept Header, No Additional Headers", function () {
        const options = {
            url: new URL("http://localhost:80"),
            payload: { a: "apple" },
            contentTypeHandler: index_js_1.JSONContentTypeHandler,
            acceptHeader: "application/json",
        };
        it("should be false", function () {
            expect((0, TypedRequestOptions_js_1.isTypedRequestOptionsWithPayloadWithAdditionalAndAccept)(options))
                .to.be.false;
        });
    });
    describe("Has Payload, Content Type Handler, And Additional Headers, No Accept Header", function () {
        const options = {
            url: new URL("http://localhost:80"),
            payload: { a: "apple" },
            contentTypeHandler: index_js_1.JSONContentTypeHandler,
            additionalHeaders: {},
        };
        it("should be false", function () {
            expect((0, TypedRequestOptions_js_1.isTypedRequestOptionsWithPayloadWithAdditionalAndAccept)(options))
                .to.be.false;
        });
    });
    describe("Has Payload, Accept Header, And Additional Headers, No Content Type Handler", function () {
        const options = {
            url: new URL("http://localhost:80"),
            payload: { a: "apple" },
            acceptHeader: "application/json",
            additionalHeaders: {},
        };
        it("should be false", function () {
            expect((0, TypedRequestOptions_js_1.isTypedRequestOptionsWithPayloadWithAdditionalAndAccept)(options))
                .to.be.false;
        });
    });
    describe("Has Content Type Handler, Accept Header, And Additional Headers, No Payload", function () {
        const options = {
            url: new URL("http://localhost:80"),
            contentTypeHandler: index_js_1.JSONContentTypeHandler,
            acceptHeader: "application/json",
            additionalHeaders: {},
        };
        it("should be false", function () {
            expect((0, TypedRequestOptions_js_1.isTypedRequestOptionsWithPayloadWithAdditionalAndAccept)(options))
                .to.be.false;
        });
    });
});
//# sourceMappingURL=TypedRequestOptions.spec.js.map