import { MediaTypeCategory } from "../types/MediaTypeCategory.js";
import { NodeSupportedEncoding } from "../types/NodeSupportedEncoding.js";
/**
 * A content type handler that can provide JSON encoded bodies.
 *
 * Converts whatever payload is provided into a string via JSON.stringify.
 */
const JSONContentTypeHandler = {
    mediaType: `${MediaTypeCategory.Application}/json`,
    charset: NodeSupportedEncoding.UTF8,
    get header() {
        return `${this.mediaType}; charset=${this.charset}`;
    },
    getContentForRequestFromPayload(payload) {
        return JSON.stringify(payload);
    },
};
export default JSONContentTypeHandler;
//# sourceMappingURL=JSONContentTypeHandler.js.map