/**
 * A type predicate for narrowing type possibilities based on whether or not a payload was provided.
 *
 * The contentTypeHandler property is only relevant if there is a payload.
 *
 * @param requestOptions options to check if a payload is provided
 * @returns
 */
export function isTypedRequestOptionsWithPayload(requestOptions) {
    return !!requestOptions
        .payload;
}
/**
 * A type predicate for narrowing type possibilities based on whether or not a payload was provided.
 *
 * The contentTypeHandler property is only relevant if there is a payload.
 *
 * @param requestOptions options to check if a payload is provided
 * @returns
 */
export function isTypedRequestOptionsWithPayloadWithAdditionalAndAccept(requestOptions) {
    return !!(requestOptions.payload &&
        requestOptions.contentTypeHandler &&
        requestOptions.acceptHeader &&
        requestOptions.additionalHeaders);
}
//# sourceMappingURL=TypedRequestOptions.js.map